<%@ page language="C#" autoeventwireup="true" inherits="admin_email_emaillist, localhost_deploy" %>

<%@ Register Src="../../common/pageContent.ascx" TagName="pageContent" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
<title>邮件订阅页面</title>
<link href="/admin/common/client.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" >

</script>
</head>
<body class="mg3">
<%
	PageContent.ImagePageBar=true;
  PageContent.Table="Sys_Email";
	PageContent.Url = "emaillist.aspx?ord=" + Para("ord") + "&pn=@pagenumber@";
	PageContent.SQL="select E_Name,E_Date,E_Status,E_ID from Sys_Email  ";
	
	string s_do="";
	
	if(ainfo.Name=="admin")
	{
		s_do=" ##Const.DeleteButton()## ";
		PageContent.AddList("@@Const.RowToggleAll()@@","@@Const.RowToggleItem('@E_ID@')@@");
	}
	
	PageContent.PageBody("@@Const.PageTable()@@","@@Const.PageBar(\" "+s_do+"  \")@@  ","<tr id='trhead'>@content@</tr>","<tr id='tr_@E_ID@'>@content@</tr>");
	PageContent.AddList("<td>编号</td>","<td>@ItemNumber@</td>");
	
  PageContent.AddList("@@Const.PageOrderField('emaillist.aspx?ord=','E_Name','" + Para("ord") + "','电子邮件')@@", "<td>@E_Name@</td>");
  PageContent.AddList("@@Const.PageOrderField('emaillist.aspx?ord=','E_Date','" + Para("ord") + "','订阅时间')@@","<td>@E_Date@</td>");
  PageContent.AddList("@@Const.PageOrderField('emaillist.aspx?ord=','E_Status','" + Para("ord") + "','状态')@@","<td>@@Csharp.GetSelectValue('@E_Status@','##Const.EmailStatus()##')@@</td>");
  
%>
<uc1:pageContent ID="PageContent" runat="server" />
</body>
</html>   
